<?php
include_once("../php/config.php");
include_once("../header.php");


?>

<style>
    .transparent {
        background-color: transparent !important;
        box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
    }

    .left-border-none {
        border-left: none !important;
        box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
    }

</style>
<div class="container">
    <ol class="breadcrumb" style="padding: 8px;">
        <li><a href="#">Devoluciones</a></li>
        <li class="bold"><a href="#">Nueva devolucion</a></li>
        <li class="active"><?php echo fecha($hoy) ?></li>
    </ol>
    <h3 class="text-danger"><i class="fa fa-random fa-lg"></i> Nueva devolucion</h3>
    <hr>

    <div class="row">
        <div class="col-md-1 mt-2">
            <b>Num. factura</b>
        </div>
        <div class="col-md-2">
            <input type="text" class="form-control bold" id="txt-folio" placeholder="Digite numero de factura">
        </div>
        <div class="col-md-4">
            <button class="btn btn-default" onclick="buscar()"><i class="fa fa-undo fa-lg"></i> Buscar</button>
            <button class="btn btn-warning" onclick="devolver()"><i class="fa fa-undo fa-lg"></i> Devolver este articulo</button>
        </div>





    </div>

    <br>
    <div class="row">

        <div class="col-md-1 mt-2">

        </div>

        <div class="col-md-3" id="datos">
        </div>
    </div>
    <br>
    <div id="detalle">
    </div>

    <div class="row">
        <div class="col-md-1 mt-2">
            <b>Cant. facturada</b>
        </div>
        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-cantidad0" placeholder="Cantidad: 0.00" disabled>
        </div>

        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-precio" placeholder="Precio: 0.00" disabled>
        </div>
        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-importe" placeholder="Importe: 0.00" disabled>
        </div>

    </div>
	
	    <div class="row mt-2 mb-2">
        <div class="col-md-1 mt-2">
            <b>Impuestos</b>
        </div>
        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-impuestos" placeholder="Impuestos: 0.00" disabled>
        </div>

        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-precio" placeholder="Precio: 0.00" disabled>
        </div>
        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-importe" placeholder="Importe: 0.00" disabled>
        </div>

    </div>
	
		

    <div class="row">
        <div class="col-md-1 mt-2">
            <b>Cant. devolver</b>
        </div>
        <div class="col-md-2">
            <input onKeyUp="calculo()" type="number" class="form-control bold" id="txt-cantidad" placeholder="0.00">
        </div>


        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-precio2" placeholder="Precio: 0.00" disabled>
        </div>
        <div class="col-md-2">
            <input type="number" class="form-control" id="txt-importe2" placeholder="Importe: 0.00" disabled>
        </div>
    </div>

    <div class="row">
        <div class="col-md-1 mt-2">
            <b>Comentario</b>
        </div>
        <div class="col-md-2">
            <textarea id="txt-nota" id="" class="form-control">

       </textarea>
        </div>


    </div>
    <?php
    include_once("../footer.php");
    ?>
    <script>
		var impuesto_cantidad=""
		var costo_cantidad="" 
        function calculo() {
            if (parseFloat($("#txt-cantidad").val()) > parseFloat($("#txt-cantidad0").val())) {
                $("#txt-cantidad").val($("#txt-cantidad0").val())
            }
            var cantidad0 = $("#txt-cantidad0").val();
            var cantidad = $("#txt-cantidad").val();

            var imp = cantidad * parseFloat(precio);
            $("#txt-importe2").val(imp);
			impuesto_cantidad = valor_impuesto * parseFloat($("#txt-cantidad").val())  
			costo_cantidad = costo * parseFloat($("#txt-cantidad").val()) 
			//alert(costo_cantidad);
			///alert(costo);
			///alert(costo_total);
        }

        function buscar() {
            $("#datos").html("Buscando datos, vafor espere...");
            var id = $("#txt-folio").val();
            $.get("get_venta.php?id=" + id, function(data, tx, ) {
                if (tx == "success") {
                    //var rs = JSON.parse(data);
                    $("#datos").html(data);
                    var fol = $("#id_venta").html();
                    detalle(fol);
					//alert(fol)
                }
            })
        }

        function detalle(fol) {
            $("#detalle").html("Buscando datos, vafor espere...");
            var folio = $("#txt-folio").val();
            $.get("combo_detalles.php?folio=" + fol, function(data, tx, ) {
                if (tx == "success") {
                    //var rs = JSON.parse(data);
                    $("#detalle").html(data);
                }
            })
        }


        var precio = "";
        var descripcion = "";
        var cantidad = "";
        var importe = "";
        var _id = "";
        var folio = ""
		var costo=""
		                         
		var costo_total=""  
		var valor_impuesto=""     
        function get_detalle(id) {
            $.get("get_detalle.php?id=" + id, function(data, tx, ) {
                if (tx == "success") {
                    var rs = JSON.parse(data);
                    limpiar()

                    $("#txt-cantidad0").val(rs.cantidad);
                    $("#txt-precio").val(rs.precio);
                    $("#txt-importe").val(rs.total_precio);
					$("#txt-impuestos").val(rs.total_impuesto);
					valor_impuesto = rs.valor_impuesto;
                    descripcion = rs.descripcion;
                    codigo = rs.codigo;
                    importe = $("#txt-importe2").val();
                    costo = rs.costo;
					precio = rs.precio;
					costo_total= rs.total_costo;
					
					
                    _id = rs.id_detalle;
                    folio = rs.folio;


                }
            })
        }

        function limpiar() {
            $("#txt-cantidad0").val("");
            $("#txt-precio").val("");
            $("#txt-importe").val("");
            descripcion = "";
            codigo = "";
            importe = "";
            precio = "";
            _id = "";
            folio = "";
        }
 var secuencia="";
  function devolver(){
    if(validAuth!="Ok"){
                   modalAuth00(devolver);
                    return;
    }
    
    var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        _devolver();


      })
  }
  
        function _devolver() {
            cantidad = $("#txt-cantidad0").val();
            cantidad1 = $("#txt-cantidad").val();
            precio = $("#txt-precio").val();
            importe = $("#txt-importe2").val();
            if(cantidad=="" || _id==""){alert("Falta informacion"); return;}
            if (!confirm("Seguro de devolver este producto" + "\n" + descripcion))
                bno()
            
            var nota = $("#txt-nota").val();
            var cliente = $("#lb-cliente").html();

            var datos = "id=" + _id;
            datos += "&codigo=" + codigo;
            datos += "&descripcion=" + descripcion;
            datos += "&precio=" + precio;
            datos += "&cantidad=" + cantidad1;
			datos += "&costo=" + costo;
			datos += "&total_costo=" + costo_total;
			datos += "&valor_impuesto=" + valor_impuesto;
			datos += "&impuesto_cantidad=" + impuesto_cantidad;
            datos += "&importe=" + importe;
            datos += "&usuario=" + myUser;
            datos += "&nota=" + nota;
            datos += "&cliente=" + cliente;
            datos += "&folio=" + folio;
			datos += "&folio2=" + $("#txt-folio").val();
            datos += "&almacen=" + myAlmacen;
			datos += "&secuencia=" + secuencia;
            

            $.get("devolver.php?" + datos, function(data, tx, ) {
                if (tx == "success") {
                    bsi();
                    if (data == "1") {
                        alert("Datos procesados satisafactoriamente!");
                        window.location.href="devoluciones.php";
                    } else {
                        alert(data);

                    }
                }
            })
        }
    </script>